; orsa.nsi
;

; The name of the installer
Name "WinOrsa 0.6.2"

; The file to write
OutFile "winorsa-0.6.2.exe"

; show the installation details
ShowInstDetails "show"
ShowUninstDetails "show"

; The default installation directory
InstallDir $PROGRAMFILES\WinOrsa

; Registry key to check for directory (so if you install again, it will overwrite the old one automatically)
InstallDirRegKey HKLM "SOFTWARE\GPL\WinOrsa" "Install_Dir"

; The text to prompt the user to enter a directory
;ComponentText "This will install ORSA software on your computer. Select which optional things you want installed."
; removed so that everything is installed

; The text to prompt the user to enter a directory
DirText "Choose a directory to install into:"

; The stuff to install
Section "WinOrsa"

	; Set output path to the installation directory.
	SetOutPath $INSTDIR
	
	; Put file there
	File "winorsa.exe"
	File "c:\bcc55\bin\cc3250mt.dll"
	File "c:\qt\3.3.1\bin\qtmt331.dll"
	
	; Write the installation path into the registry
	WriteRegStr HKLM "Software\GPL\WinOrsa" "Install_Dir" "$INSTDIR"

  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GPL\WinOrsa" "DisplayName" "WinOrsa"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GPL\WinOrsa" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteUninstaller "uninstall.exe"

SectionEnd

; optional section

Section "Start Menu Shortcuts"
	; we install for all users
	SetShellVarContext "all"
	CreateDirectory "$SMPROGRAMS\WinOrsa"
	CreateShortCut "$SMPROGRAMS\WinOrsa\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
	CreateShortCut "$SMPROGRAMS\WinOrsa\WinOrsa.lnk" "$INSTDIR\winorsa.exe" "" "$INSTDIR\winorsa.exe" 0
SectionEnd

Section "Desktop Shortcut"
	SetShellVarContext "all"
	CreateShortCut "$DESKTOP\WinOrsa.lnk" "$INSTDIR\winorsa.exe" "" "$INSTDIR\winorsa.exe" 0
SectionEnd

; uninstall stuff

UninstallText "This will uninstall WinOrsa. Hit next to continue."

; special uninstall section.
Section "Uninstall"

	SetShellVarContext "all" 
 
	; remove registry keys
	DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GPL\WinOrsa"
	DeleteRegKey HKLM "Software\GPL\WinOrsa"
  
	; remove files
	Delete $INSTDIR\winorsa.exe
	Delete $INSTDIR\qtmt331.dll
	Delete $INSTDIR\cc3250mt.dll

	; MUST REMOVE UNINSTALLER, too
	Delete $INSTDIR\uninstall.exe

	; remove shortcuts, if any.
	Delete "$SMPROGRAMS\WinOrsa\*.*"
	Delete "$DESKTOP\WinOrsa.lnk"

	; remove directories used.
	RMDir "$SMPROGRAMS\WinOrsa"
	RMDir "$INSTDIR"

SectionEnd

; eof
